diff --git a/hub/kojihub.py b/hub/kojihub.py
index 14a5338..7e1ff7c 100644
--- a/hub/kojihub.py
+++ b/hub/kojihub.py
@@ -2764,14 +2764,14 @@ def lookup_name(table, info, strict=False, create=False):
         info = koji.fixEncoding(info)
         q = """SELECT id,name FROM %s WHERE name=%%(info)s""" % table
     else:
-        raise koji.GenericError, 'invalid type for id lookup: %s' % type(info)
+        raise koji.GenericError('invalid type for id lookup: %s' % type(info))
     ret = _singleRow(q, locals(), fields, strict=False)
     if ret is None:
         if strict:
-            raise koji.GenericError, 'No such entry in table %s: %s' % (table, info)
+            raise koji.GenericError('No such entry in table %s: %s' % (table, info))
         elif create:
             if not isinstance(info, str):
-                raise koji.GenericError, 'Name must be a string'
+                raise koji.GenericError('Name must be a string')
             id = _singleValue("SELECT nextval('%s_id_seq')" % table, strict=True)
             q = """INSERT INTO %s(id,name) VALUES (%%(id)i,%%(info)s)""" % table
             _dml(q, locals())
@@ -2847,7 +2847,7 @@ def _create_tag(name, parent=None, arches=None, perm=None, locked=False, maven_s
     """Create a new tag, without access check"""
 
     if not context.opts.get('EnableMaven') and (maven_support or maven_include_all):
-        raise koji.GenericError, "Maven support not enabled"
+        raise koji.GenericError("Maven support not enabled")
 
     #see if there is already a tag by this name (active)
     if get_tag(name):
@@ -2935,7 +2935,7 @@ def get_tag(tagInfo, strict=False, event=None):
     elif isinstance(tagInfo, basestring):
         clauses.append("tag.name = %(tagInfo)s")
     else:
-        raise koji.GenericError, 'invalid type for tagInfo: %s' % type(tagInfo)
+        raise koji.GenericError('invalid type for tagInfo: %s' % type(tagInfo))
 
     data = {'tagInfo': tagInfo}
     fields, aliases = zip(*fields.items())
@@ -2944,7 +2944,7 @@ def get_tag(tagInfo, strict=False, event=None):
     result = query.executeOne()
     if not result:
         if strict:
-            raise koji.GenericError, "Invalid tagInfo: %r" % tagInfo
+            raise koji.GenericError("Invalid tagInfo: %r" % tagInfo)
         return None
     result['extra'] = get_tag_extra(result)
     return result
@@ -2987,7 +2987,7 @@ def _edit_tag(tagInfo, **kwargs):
     """Edit information for an existing tag."""
     if not context.opts.get('EnableMaven') \
                 and dslice(kwargs, ['maven_support', 'maven_include_all'], strict=False):
-        raise koji.GenericError, "Maven support not enabled"
+        raise koji.GenericError("Maven support not enabled")
 
     tag = get_tag(tagInfo, strict=True)
     if kwargs.has_key('perm'):
@@ -3012,7 +3012,7 @@ def _edit_tag(tagInfo, **kwargs):
         id = _singleValue(q, values, strict=False)
         if id is not None:
             #new name is taken
-            raise koji.GenericError, "Name %s already taken by tag %s" % (name, id)
+            raise koji.GenericError("Name %s already taken by tag %s" % (name, id))
         update = """UPDATE tag
         SET name = %(name)s
         WHERE id = %(tagID)i"""
@@ -3112,7 +3112,7 @@ def create_external_repo(name, url):
     context.session.assertPerm('admin')
 
     if get_external_repos(info=name):
-        raise koji.GenericError, 'An external repo named "%s" already exists' % name
+        raise koji.GenericError('An external repo named "%s" already exists' % name)
 
     id = get_external_repo_id(name, create=True)
     if not url.endswith('/'):
@@ -3140,7 +3140,7 @@ def get_external_repos(info=None, url=None, event=None, queryOpts=None):
         elif isinstance(info, (int, long)):
             clauses.append('id = %(info)i')
         else:
-            raise koji.GenericError, 'invalid type for lookup: %s' % type(info)
+            raise koji.GenericError('invalid type for lookup: %s' % type(info))
     if url:
         clauses.append('url = %(url)s')
 
@@ -3160,7 +3160,7 @@ def get_external_repo(info, strict=False, event=None):
         return repos[0]
     else:
         if strict:
-            raise koji.GenericError, 'invalid repo info: %s' % info
+            raise koji.GenericError('invalid repo info: %s' % info)
         else:
             return None
 
@@ -3176,7 +3176,7 @@ def edit_external_repo(info, name=None, url=None):
         existing_id = _singleValue("""SELECT id FROM external_repo WHERE name = %(name)s""",
                                    locals(), strict=False)
         if existing_id is not None:
-            raise koji.GenericError, 'name "%s" is already taken by external repo %i' % (name, existing_id)
+            raise koji.GenericError('name "%s" is already taken by external repo %i' % (name, existing_id))
 
         rename = """UPDATE external_repo SET name = %(name)s WHERE id = %(repo_id)i"""
         _dml(rename, locals())
@@ -3226,11 +3226,11 @@ def add_external_repo_to_tag(tag_info, repo_info, priority):
 
     tag_repos = get_tag_external_repos(tag_info=tag_id)
     if [tr for tr in tag_repos if tr['external_repo_id'] == repo_id]:
-        raise koji.GenericError, 'tag %s already associated with external repo %s' % \
-            (tag['name'], repo['name'])
+        raise koji.GenericError('tag %s already associated with external repo %s' % \
+            (tag['name'], repo['name']))
     if [tr for tr in tag_repos if tr['priority'] == priority]:
-        raise koji.GenericError, 'tag %s already associated with an external repo at priority %i' % \
-            (tag['name'], priority)
+        raise koji.GenericError('tag %s already associated with an external repo at priority %i' % \
+            (tag['name'], priority))
 
     insert = InsertProcessor('tag_external_repos')
     insert.set(tag_id=tag_id, external_repo_id=repo_id, priority=priority)
@@ -3248,8 +3248,8 @@ def remove_external_repo_from_tag(tag_info, repo_info):
     repo_id = repo['id']
 
     if not get_tag_external_repos(tag_info=tag_id, repo_info=repo_id):
-        raise koji.GenericError, 'external repo %s not associated with tag %s' % \
-            (repo['name'], tag['name'])
+        raise koji.GenericError('external repo %s not associated with tag %s' % \
+            (repo['name'], tag['name']))
 
     update = UpdateProcessor('tag_external_repos', values=locals(),
                 clauses=["tag_id = %(tag_id)i", "external_repo_id = %(repo_id)i"])
@@ -3269,8 +3269,8 @@ def edit_tag_external_repo(tag_info, repo_info, priority):
 
     tag_repos = get_tag_external_repos(tag_info=tag_id, repo_info=repo_id)
     if not tag_repos:
-        raise koji.GenericError, 'external repo %s not associated with tag %s' % \
-            (repo['name'], tag['name'])
+        raise koji.GenericError('external repo %s not associated with tag %s' % \
+            (repo['name'], tag['name']))
     tag_repo = tag_repos[0]
 
     if priority != tag_repo['priority']:
@@ -3367,7 +3367,7 @@ def get_user(userInfo=None, strict=False):
     elif isinstance(userInfo, str):
         clauses = ['krb_principal = %(info)s OR name = %(info)s']
     else:
-        raise koji.GenericError, 'invalid type for userInfo: %s' % type(userInfo)
+        raise koji.GenericError('invalid type for userInfo: %s' % type(userInfo))
     query = QueryProcessor(tables=['users'], columns=fields,
                            clauses=clauses, values=data)
     user = query.executeOne()
@@ -3384,11 +3384,11 @@ def find_build_id(X, strict=False):
     elif isinstance(X, dict):
         data = X
     else:
-        raise koji.GenericError, "Invalid argument: %r" % X
+        raise koji.GenericError("Invalid argument: %r" % X)
 
     if not (data.has_key('name') and data.has_key('version') and
             data.has_key('release')):
-        raise koji.GenericError, 'did not provide name, version, and release'
+        raise koji.GenericError('did not provide name, version, and release')
 
     c = context.cnx.cursor()
     q = """SELECT build.id FROM build JOIN package ON build.pkg_id=package.id
@@ -3402,7 +3402,7 @@ def find_build_id(X, strict=False):
     #log_error("%r" % r )
     if not r:
         if strict:
-            raise koji.GenericError, 'No matching build found: %r' % X
+            raise koji.GenericError('No matching build found: %r' % X)
         else:
             return None
     return r[0]
@@ -3474,7 +3474,7 @@ def get_build(buildInfo, strict=False):
 
     if not result:
         if strict:
-            raise koji.GenericError, 'No matching build found: %s' % buildInfo
+            raise koji.GenericError('No matching build found: %s' % buildInfo)
         else:
             return None
     else:
@@ -3507,7 +3507,7 @@ def get_next_release(build_info):
         r_split[0] = str(int(r_split[0]) + 1)
         release = '.'.join(r_split)
     else:
-        raise koji.BuildError, 'Unable to increment release value: %s' % release
+        raise koji.BuildError('Unable to increment release value: %s' % release)
     return release
 
 
@@ -3584,7 +3584,7 @@ def get_rpm(rpminfo, strict=False, multi=False):
     elif isinstance(rpminfo, dict):
         data = rpminfo.copy()
     else:
-        raise koji.GenericError, "Invalid argument: %r" % rpminfo
+        raise koji.GenericError("Invalid argument: %r" % rpminfo)
     clauses = []
     if data.has_key('id'):
         clauses.append("rpminfo.id=%(id)s")
@@ -3617,7 +3617,7 @@ def get_rpm(rpminfo, strict=False, multi=False):
         ret = query.executeOne()
     if not ret:
         if strict:
-            raise koji.GenericError, "No such rpm: %r" % data
+            raise koji.GenericError("No such rpm: %r" % data)
         return None
     return ret
 
@@ -3693,7 +3693,7 @@ def list_rpms(buildID=None, buildrootID=None, imageID=None, componentBuildrootID
         elif isinstance(arches, str):
             clauses.append('rpminfo.arch = %(arches)s')
         else:
-            raise koji.GenericError, 'invalid type for "arches" parameter: %s' % type(arches)
+            raise koji.GenericError('invalid type for "arches" parameter: %s' % type(arches))
 
     fields, aliases = zip(*fields)
     query = QueryProcessor(columns=fields, aliases=aliases,
@@ -3745,7 +3745,7 @@ def get_win_build(buildInfo, strict=False):
                            values={'build_id': build_id})
     result = query.executeOne()
     if strict and not result:
-        raise koji.GenericError, 'no such Windows build: %s' % buildInfo
+        raise koji.GenericError('no such Windows build: %s' % buildInfo)
     return result
 
 def get_image_build(buildInfo, strict=False):
@@ -3766,7 +3766,7 @@ def get_image_build(buildInfo, strict=False):
                            values={'build_id': build_id})
     result = query.executeOne()
     if strict and not result:
-        raise koji.GenericError, 'no such image build: %s' % buildInfo
+        raise koji.GenericError('no such image build: %s' % buildInfo)
     return result
 
 
@@ -4292,11 +4292,11 @@ def _fetchSingle(query, values, strict=False):
     numRows = len(results)
     if numRows == 0:
         if strict:
-            raise koji.GenericError, 'query returned no rows'
+            raise koji.GenericError('query returned no rows')
         else:
             return None
     elif strict and numRows > 1:
-        raise koji.GenericError, 'multiple rows returned for a single row query'
+        raise koji.GenericError('multiple rows returned for a single row query')
     else:
         return results[0]
 
@@ -4333,7 +4333,7 @@ def _singleValue(query, values=None, strict=True):
     row = _fetchSingle(query, values, strict)
     if row:
         if strict and len(row) > 1:
-            raise koji.GenericError, 'multiple fields returned for a single value query'
+            raise koji.GenericError('multiple fields returned for a single value query')
         return row[0]
     else:
         # don't need to check strict here, since that was already handled by _singleRow()
@@ -4374,7 +4374,7 @@ def get_host(hostInfo, strict=False):
     elif isinstance(hostInfo, str):
         query += """name = %(hostInfo)s"""
     else:
-        raise koji.GenericError, 'invalid type for hostInfo: %s' % type(hostInfo)
+        raise koji.GenericError('invalid type for hostInfo: %s' % type(hostInfo))
 
     return _singleRow(query, locals(), fields, strict)
 
@@ -4423,7 +4423,7 @@ def get_channel(channelInfo, strict=False):
     elif isinstance(channelInfo, str):
         query += """name = %(channelInfo)s"""
     else:
-        raise koji.GenericError, 'invalid type for channelInfo: %s' % type(channelInfo)
+        raise koji.GenericError('invalid type for channelInfo: %s' % type(channelInfo))
 
     return _singleRow(query, locals(), fields, strict)
 
@@ -4510,12 +4510,12 @@ def get_buildroot(buildrootID, strict=False):
     result = query_buildroots(buildrootID=buildrootID)
     if len(result) == 0:
         if strict:
-            raise koji.GenericError, "No such buildroot: %r" % buildrootID
+            raise koji.GenericError("No such buildroot: %r" % buildrootID)
         else:
             return None
     if len(result) > 1:
         #this should be impossible
-        raise koji.GenericError, "More that one buildroot with id: %i" % buildrootID
+        raise koji.GenericError("More that one buildroot with id: %i" % buildrootID)
     return result[0]
 
 def list_channels(hostID=None):
@@ -4539,7 +4539,7 @@ def new_package(name, strict=True):
     if row:
         (pkg_id,) = row
         if strict:
-            raise koji.GenericError, "Package already exists [id %d]" % pkg_id
+            raise koji.GenericError("Package already exists [id %d]" % pkg_id)
     else:
         q = """SELECT nextval('package_id_seq')"""
         c.execute(q)
@@ -4555,11 +4555,11 @@ def add_volume(name, strict=True):
     context.session.assertPerm('admin')
     voldir = koji.pathinfo.volumedir(name)
     if not os.path.isdir(voldir):
-        raise koji.GenericError, 'please create the volume directory first'
+        raise koji.GenericError('please create the volume directory first')
     if strict:
         volinfo = lookup_name('volume', name, strict=False)
         if volinfo:
-            raise koji.GenericError, 'volume %s already exists' % name
+            raise koji.GenericError('volume %s already exists' % name)
     volinfo = lookup_name('volume', name, strict=False, create=True)
     return volinfo
 
@@ -4570,7 +4570,7 @@ def remove_volume(volume):
     query = QueryProcessor(tables=['build'], clauses=['volume_id=%(id)i'],
                     values=volinfo, columns=['id'], opts={'limit':1})
     if query.execute():
-        raise koji.GenericError, 'volume %(name)s has build references' % volinfo
+        raise koji.GenericError('volume %(name)s has build references' % volinfo)
     delete = """DELETE FROM volume WHERE id=%(id)i"""
     _dml(delete, volinfo)
 
@@ -4585,16 +4585,16 @@ def change_build_volume(build, volume, strict=True):
     binfo = get_build(build, strict=True)
     if binfo['volume_id'] == volinfo['id']:
         if strict:
-            raise koji.GenericError, "Build %(nvr)s already on volume %(volume_name)s" % binfo
+            raise koji.GenericError("Build %(nvr)s already on volume %(volume_name)s" % binfo)
         else:
             #nothing to do
             return
     state = koji.BUILD_STATES[binfo['state']]
     if state not in ['COMPLETE', 'DELETED']:
-        raise koji.GenericError, "Build %s is %s" % (binfo['nvr'], state)
+        raise koji.GenericError("Build %s is %s" % (binfo['nvr'], state))
     voldir = koji.pathinfo.volumedir(volinfo['name'])
     if not os.path.isdir(voldir):
-        raise koji.GenericError, "Directory entry missing for volume %(name)s" % volinfo
+        raise koji.GenericError("Directory entry missing for volume %(name)s" % volinfo)
 
     #more sanity checks
     for check_vol in list_volumes():
@@ -4611,9 +4611,9 @@ def change_build_volume(build, volume, strict=True):
         elif check_vol['id'] == volinfo['id']:
             # the volume we are moving to
             if os.path.lexists(checkdir):
-                raise koji.GenericError, "Destination directory exists: %s" % checkdir
+                raise koji.GenericError("Destination directory exists: %s" % checkdir)
         elif os.path.lexists(checkdir):
-            raise koji.GenericError, "Unexpected cross-volume content: %s" % checkdir
+            raise koji.GenericError("Unexpected cross-volume content: %s" % checkdir)
 
     # First copy the build dir(s)
     dir_moves = []
@@ -4671,11 +4671,11 @@ def new_build(data):
         #see if there's a package name
         name = data.get('name')
         if not name:
-            raise koji.GenericError, "No name or package id provided for build"
+            raise koji.GenericError("No name or package id provided for build")
         data['pkg_id'] = new_package(name, strict=False)
     for f in ('version', 'release', 'epoch'):
         if not data.has_key(f):
-            raise koji.GenericError, "No %s value for build" % f
+            raise koji.GenericError("No %s value for build" % f)
     if 'extra' in data:
         try:
             data['extra'] = json.dumps(data['extra'])
@@ -4823,7 +4823,7 @@ def import_build(srpm, rpms, brmap=None, task_id=None, build_id=None, logs=None)
     for relpath in [srpm] + rpms:
         fn = "%s/%s" % (uploadpath, relpath)
         if not os.path.exists(fn):
-            raise koji.GenericError, "no such file: %s" % fn
+            raise koji.GenericError("no such file: %s" % fn)
 
     rpms = check_noarch_rpms(uploadpath, rpms)
 
@@ -4841,7 +4841,7 @@ def import_build(srpm, rpms, brmap=None, task_id=None, build_id=None, logs=None)
     build = koji.get_header_fields(fn, ('name', 'version', 'release', 'epoch',
                                         'sourcepackage'))
     if build['sourcepackage'] != 1:
-        raise koji.GenericError, "not a source package: %s" % fn
+        raise koji.GenericError("not a source package: %s" % fn)
     build['task_id'] = task_id
     if build_id is None:
         build_id = new_build(build)
@@ -4854,10 +4854,10 @@ def import_build(srpm, rpms, brmap=None, task_id=None, build_id=None, logs=None)
         koji.plugin.run_callbacks('preBuildStateChange', attribute='state', old=binfo['state'], new=st_complete, info=binfo)
         for key in ('name', 'version', 'release', 'epoch', 'task_id'):
             if build[key] != binfo[key]:
-                raise koji.GenericError, "Unable to complete build: %s mismatch (build: %s, rpm: %s)" % (key, binfo[key], build[key])
+                raise koji.GenericError("Unable to complete build: %s mismatch (build: %s, rpm: %s)" % (key, binfo[key], build[key]))
         if binfo['state'] != koji.BUILD_STATES['BUILDING']:
-            raise koji.GenericError, "Unable to complete build: state is %s" \
-                    % koji.BUILD_STATES[binfo['state']]
+            raise koji.GenericError("Unable to complete build: state is %s" \
+                    % koji.BUILD_STATES[binfo['state']])
         #update build state
         update = """UPDATE build SET state=%(st_complete)i,completion_time=NOW()
         WHERE id=%(build_id)i"""
@@ -4887,7 +4887,7 @@ def import_rpm(fn, buildinfo=None, brootid=None, wrapper=False, fileinfo=None):
     Designed to be called from import_build.
     """
     if not os.path.exists(fn):
-        raise koji.GenericError, "no such file: %s" % fn
+        raise koji.GenericError("no such file: %s" % fn)
 
     #read rpm info
     hdr = koji.get_rpm_header(fn)
@@ -4900,7 +4900,7 @@ def import_rpm(fn, buildinfo=None, brootid=None, wrapper=False, fileinfo=None):
     basename = os.path.basename(fn)
     expected = "%(name)s-%(version)s-%(release)s.%(arch)s.rpm" % rpminfo
     if basename != expected:
-        raise koji.GenericError, "bad filename: %s (expected %s)" % (basename, expected)
+        raise koji.GenericError("bad filename: %s (expected %s)" % (basename, expected))
 
     if buildinfo is None:
         #figure it out for ourselves
@@ -4917,11 +4917,11 @@ def import_rpm(fn, buildinfo=None, brootid=None, wrapper=False, fileinfo=None):
             if buildinfo is None:
                 #XXX - handle case where package is not a source rpm
                 #      and we still need to create a new build
-                raise koji.GenericError, 'No matching build'
+                raise koji.GenericError('No matching build')
             state = koji.BUILD_STATES[buildinfo['state']]
             if state in ('FAILED', 'CANCELED', 'DELETED'):
                 nvr = "%(name)s-%(version)s-%(release)s" % buildinfo
-                raise koji.GenericError, "Build is %s: %s" % (state, nvr)
+                raise koji.GenericError("Build is %s: %s" % (state, nvr))
     elif not wrapper:
         # only enforce the srpm name matching the build for non-wrapper rpms
         srpmname = "%(name)s-%(version)s-%(release)s.src.rpm" % buildinfo
@@ -4929,11 +4929,11 @@ def import_rpm(fn, buildinfo=None, brootid=None, wrapper=False, fileinfo=None):
         #itself (for the srpm)
         if rpminfo['sourcepackage'] != 1:
             if rpminfo['sourcerpm'] != srpmname:
-                raise koji.GenericError, "srpm mismatch for %s: %s (expected %s)" \
-                        % (fn, rpminfo['sourcerpm'], srpmname)
+                raise koji.GenericError("srpm mismatch for %s: %s (expected %s)" \
+                        % (fn, rpminfo['sourcerpm'], srpmname))
         elif basename != srpmname:
-            raise koji.GenericError, "srpm mismatch for %s: %s (expected %s)" \
-                    % (fn, basename, srpmname)
+            raise koji.GenericError("srpm mismatch for %s: %s (expected %s)" \
+                    % (fn, basename, srpmname))
 
     # if we're adding an rpm to it, then this build is of rpm type
     # harmless if build already has this type
@@ -5448,10 +5448,10 @@ def add_external_rpm(rpminfo, external_repo, strict=True):
         ('buildtime', (int, long)))
     for field, allowed in dtypes:
         if not rpminfo.has_key(field):
-            raise koji.GenericError, "%s field missing: %r" % (field, rpminfo)
+            raise koji.GenericError("%s field missing: %r" % (field, rpminfo))
         if not isinstance(rpminfo[field], allowed):
             #this will catch unwanted NULLs
-            raise koji.GenericError, "Invalid value for %s: %r" % (field, rpminfo[field])
+            raise koji.GenericError("Invalid value for %s: %r" % (field, rpminfo[field]))
     #TODO: more sanity checks for payloadhash
 
     #Check to see if we have it
@@ -5461,10 +5461,10 @@ def add_external_rpm(rpminfo, external_repo, strict=True):
     if previous:
         disp = "%(name)s-%(version)s-%(release)s.%(arch)s@%(external_repo_name)s" % previous
         if strict:
-            raise koji.GenericError, "external rpm already exists: %s" % disp
+            raise koji.GenericError("external rpm already exists: %s" % disp)
         elif data['payloadhash'] != previous['payloadhash']:
-            raise koji.GenericError, "hash changed for external rpm: %s (%s -> %s)" \
-                    % (disp, previous['payloadhash'], data['payloadhash'])
+            raise koji.GenericError("hash changed for external rpm: %s (%s -> %s)" \
+                    % (disp, previous['payloadhash'], data['payloadhash']))
         else:
             return previous
 
@@ -5523,7 +5523,7 @@ def import_build_in_place(build):
             # TODO - check contents against db
             return prev['id']
         elif state not in ('FAILED', 'CANCELED'):
-            raise koji.GenericError, "build already exists (%s): %r" % (state, build)
+            raise koji.GenericError("build already exists (%s): %r" % (state, build))
         #otherwise try to reimport
     bdir = koji.pathinfo.build(build)
     srpm = None
@@ -5534,7 +5534,7 @@ def import_build_in_place(build):
     if os.path.isdir(srcdir):
         for basename in os.listdir(srcdir):
             if basename != srpmname:
-                raise koji.GenericError, "unexpected file: %s" % basename
+                raise koji.GenericError("unexpected file: %s" % basename)
             srpm = "%s/%s" % (srcdir, basename)
     for arch in os.listdir(bdir):
         if arch == 'src':
@@ -5544,19 +5544,19 @@ def import_build_in_place(build):
             continue
         adir = "%s/%s" % (bdir, arch)
         if not os.path.isdir(adir):
-            raise koji.GenericError, "out of place file: %s" % adir
+            raise koji.GenericError("out of place file: %s" % adir)
         for basename in os.listdir(adir):
             fn = "%s/%s" % (adir, basename)
             if not os.path.isfile(fn):
-                raise koji.GenericError, "unexpected non-regular file: %s" % fn
+                raise koji.GenericError("unexpected non-regular file: %s" % fn)
             if fn[-4:] != '.rpm':
-                raise koji.GenericError, "out of place file: %s" % adir
+                raise koji.GenericError("out of place file: %s" % adir)
             #check sourcerpm field
             hdr = koji.get_rpm_header(fn)
             sourcerpm = hdr[rpm.RPMTAG_SOURCERPM]
             if sourcerpm != srpmname:
-                raise koji.GenericError, "srpm mismatch for %s: %s (expected %s)" \
-                        % (fn, sourcerpm, srpmname)
+                raise koji.GenericError("srpm mismatch for %s: %s (expected %s)" \
+                        % (fn, sourcerpm, srpmname))
             rpms.append(fn)
     koji.plugin.run_callbacks('preImport', type='build', in_place=True, srpm=srpm, rpms=rpms)
     # actually import
@@ -5603,13 +5603,13 @@ def merge_scratch(task_id):
     try:
         task_info = task.getInfo(request=True)
     except koji.GenericError:
-        raise koji.ImportError, 'invalid task: %s' % task_id
+        raise koji.ImportError('invalid task: %s' % task_id)
     if task_info['state'] != koji.TASK_STATES['CLOSED']:
-        raise koji.ImportError, 'task %s did not complete successfully' % task_id
+        raise koji.ImportError('task %s did not complete successfully' % task_id)
     if task_info['method'] != 'build':
-        raise koji.ImportError, 'task %s is not a build task' % task_id
+        raise koji.ImportError('task %s is not a build task' % task_id)
     if len(task_info['request']) < 3 or not task_info['request'][2].get('scratch'):
-        raise koji.ImportError, 'task %s is not a scratch build' % task_id
+        raise koji.ImportError('task %s is not a scratch build' % task_id)
 
     # sanity check the task, and extract data required for import
     srpm = None
@@ -5626,8 +5626,8 @@ def merge_scratch(task_id):
                     srpm = srpm_name
                 else:
                     if srpm != srpm_name:
-                        raise koji.ImportError, 'task srpm names do not match: %s, %s' % \
-                              (srpm, srpm_name)
+                        raise koji.ImportError('task srpm names do not match: %s, %s' % \
+                              (srpm, srpm_name))
             elif output.endswith('.noarch.rpm'):
                 continue
             elif output.endswith('.rpm'):
@@ -5635,34 +5635,34 @@ def merge_scratch(task_id):
                 if 'arch' not in info:
                     info['arch'] = rpminfo['arch']
                 elif info['arch'] != rpminfo['arch']:
-                    raise koji.ImportError, 'multiple arches generated by task %s: %s, %s' % \
-                          (child['id'], info['arch'], rpminfo['arch'])
+                    raise koji.ImportError('multiple arches generated by task %s: %s, %s' % \
+                          (child['id'], info['arch'], rpminfo['arch']))
                 info['rpms'].append(output)
             elif output.endswith('.log'):
                 info['logs'].append(output)
         if not info['rpms']:
             continue
         if not info['logs']:
-            raise koji.ImportError, 'task %s is missing logs' % child['id']
+            raise koji.ImportError('task %s is missing logs' % child['id'])
         buildroots = query_buildroots(taskID=child['id'],
                                       queryOpts={'order': '-id', 'limit': 1})
         if not buildroots:
-            raise koji.ImportError, 'no buildroot associated with task %s' % child['id']
+            raise koji.ImportError('no buildroot associated with task %s' % child['id'])
         info['buildroot_id'] = buildroots[0]['id']
         tasks[child['id']] = info
     if not tasks:
-        raise koji.ImportError, 'nothing to do for task %s' % task_id
+        raise koji.ImportError('nothing to do for task %s' % task_id)
 
     # sanity check the build
     build_nvr = koji.parse_NVRA(srpm)
     build = get_build(build_nvr)
     if not build:
-        raise koji.ImportError, 'no such build: %(name)s-%(version)s-%(release)s' % \
-              build_nvr
+        raise koji.ImportError('no such build: %(name)s-%(version)s-%(release)s' % \
+              build_nvr)
     if build['state'] != koji.BUILD_STATES['COMPLETE']:
-        raise koji.ImportError, '%s did not complete successfully' % build['nvr']
+        raise koji.ImportError('%s did not complete successfully' % build['nvr'])
     if not build['task_id']:
-        raise koji.ImportError, 'no task for %s' % build['nvr']
+        raise koji.ImportError('no task for %s' % build['nvr'])
     build_task_info = Task(build['task_id']).getInfo(request=True)
     # Intentionally skip checking the build task state.
     # There are cases where the build can be valid even though the task has failed,
@@ -5670,26 +5670,26 @@ def merge_scratch(task_id):
 
     # compare the task and build and make sure they are compatible with importing
     if task_info['request'][0] != build_task_info['request'][0]:
-        raise koji.ImportError, 'SCM URLs for the task and build do not match: %s, %s' % \
-              (task_info['request'][0], build_task_info['request'][0])
+        raise koji.ImportError('SCM URLs for the task and build do not match: %s, %s' % \
+              (task_info['request'][0], build_task_info['request'][0]))
     build_arches = set()
     for rpm in list_rpms(buildID=build['id']):
         if rpm['arch'] == 'src':
             build_srpm = '%s.src.rpm' % rpm['nvr']
             if srpm != build_srpm:
-                raise koji.ImportError, 'task and build srpm names do not match: %s, %s' % \
-                      (srpm, build_srpm)
+                raise koji.ImportError('task and build srpm names do not match: %s, %s' % \
+                      (srpm, build_srpm))
         elif rpm['arch'] == 'noarch':
             continue
         else:
             build_arches.add(rpm['arch'])
     if not build_arches:
-        raise koji.ImportError, 'no arch-specific rpms found for %s' % build['nvr']
+        raise koji.ImportError('no arch-specific rpms found for %s' % build['nvr'])
     task_arches = set([t['arch'] for t in tasks.values()])
     overlapping_arches = task_arches.intersection(build_arches)
     if overlapping_arches:
-        raise koji.ImportError, 'task %s and %s produce rpms with the same arches: %s' % \
-              (task_info['id'], build['nvr'], ', '.join(overlapping_arches))
+        raise koji.ImportError('task %s and %s produce rpms with the same arches: %s' % \
+              (task_info['id'], build['nvr'], ', '.join(overlapping_arches)))
 
     # everything looks good, do the import
     for task_id, info in tasks.items():
